# 导出服务拆解分析
## 一、功能描述
主要功能：针对系统的提供各种单据的导出
## 二、代码运行截图
![输入图片说明](/imgs/2024-02-27/f7Al9AOfDe2A9pHM.png)
## 核心接口说明
| 类名 | 类地址| 类说明 | api地址 | 请求方式 | 方法名|说明|
<table >
	<tbody>
		<tr>
			<td >类地址</td>
			<td >类名</td>
			<td >类说明</td>
			<td >请求方式</td>
			<td >方法地址</td>
			<td >方法名</td>
			<td >方法说明</td>
		</tr>
		<tr>
			<td rowspan="13" >/api/contract</td>
			<td rowspan="13" >ContractRest</td>
			<td rowspan="13" ></td>
			<td >POST</td>
			<td >/archived</td>
			<td >archivedContract</td>
			<td >合同归档</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/backtoprev</td>
			<td >backtoprev</td>
			<td >退回上一步</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/saveContractFrame</td>
			<td >saveContractFrame</td>
			<td >提交合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/section</td>
			<td >section</td>
			<td >暂存合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/updateById</td>
			<td >updateById</td>
			<td >修改合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/deletecontract</td>
			<td >deletecontract</td>
			<td >删除暂存合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/getContract/{conCode}</td>
			<td >getContract</td>
			<td >查询合同详情</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/listcontract</td>
			<td >listcontract</td>
			<td >查询合同列表（PC高级查询）</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/listcontract4Mobile</td>
			<td >listcontract4Mobile</td>
			<td >查询合同列表（APP）</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/electronicContract</td>
			<td >electronicContract</td>
			<td >生成电子合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/contractExp</td>
			<td >contractExp</td>
			<td >合同导出</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/print/{conType}/td>
			<td >print</td>
			<td >合同打印</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/serveFlowSubmit</td>
			<td >serveFlowSubmit</td>
			<td >服务审批流程</td>
		</tr>
		<tr>
			<td rowspan="14" >/api/contractOther</td>
			<td rowspan="14" >ContractetOtherController</td>
			<td rowspan="14" >其他合同相关</td>
			<td >POST</td>
			<td >/archive</td>
			<td >archive</td>
			<td >其他合同归档</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/backtoprev</td>
			<td >backtoprev</td>
			<td >退回上一步</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/closeContractOther</td>
			<td >closeContractOther</td>
			<td >关闭其他合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/contractOtherApprove</td>
			<td >contractOtherApprove</td>
			<td >保存其他合同并发起流程</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/delete/{id}</td>
			<td >delete</td>
			<td >根据id删除其他合同</td>
		</tr>
			<td >POST</td>
			<td >/fillStamp</td>
			<td >fillStamp</td>
			<td >其他合同补盖章</tdlta</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/get/{id}</td>
			<td >get</td>
			<td >根据id获取其他合同详情</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/getByCode</td>
			<td >getByCode</td>
			<td >根据合同编号其他合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/getSealcodeList</td>
			<td >getSealcodeList</td>
			<td >获取盖章列表</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/pageList</td>
			<td >pageList</td>
			<td >条件查询其他合同列表数据（PC）</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/pageListMobile</td>
			<td >pageListMobile</td>
			<td >条件查询其他合同列表数据（APP）</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/section</td>
			<td >section</td>
			<td >暂存其他合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/updateById</td>
			<td >updateById</td>
			<td >根据id修改其他合同</td>
		</tr>
		<tr>
			<td >POST</td>
			<td >/updateContentByCode</td>
			<td >updateContentByCode</td>
			<td >根据合同编号修改合同内容</td>
		</tr>
	</tbody>
</table>


<!--stackedit_data:
eyJoaXN0b3J5IjpbLTIwMTY0ODk5MzksMzYzODQ1MDE5LDg3NT
IzNzk2LDg2OTU3MzAwMCwtMTE0MDg3NDc5MF19
-->